## trinityrnaseq 2.6.6+dfsg

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/parafly
pkgincludedir = $(includedir)/parafly
pkglibdir = $(libdir)/parafly
pkglibexecdir = $(libexecdir)/parafly
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run tar
AM_CXXFLAGS = -pedantic -fopenmp -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
AUTOCONF = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run autoconf
AUTOHEADER = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run autoheader
AUTOMAKE = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run automake-1.11
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run makeinfo
MKDIR_P = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/mkdir -p
OBJEXT = o
PACKAGE = parafly
PACKAGE_BUGREPORT = bug-report@address
PACKAGE_NAME = Parafly
PACKAGE_STRING = Parafly 0.1
PACKAGE_TARNAME = parafly
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
abs_builddir = /home/unix/bhaas/GITHUB/ParaFly
abs_srcdir = /home/unix/bhaas/GITHUB/ParaFly
abs_top_builddir = /home/unix/bhaas/GITHUB/ParaFly
abs_top_srcdir = /home/unix/bhaas/GITHUB/ParaFly
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/unix/bhaas/GITHUB/ParaFly
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = src
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \

=== Chrysalis/Makefile ===
###################################################################################
#
# OVERVIEW OF THE SPINES MAKEFILE
#
# I. General comments
#
# This Makefile works by running the Spines program MakeDepend to determine
# dependencies, which are placed in a file Makefile_auto, every time you do a 
# make.	 Consequently, the first time you run this Makefile, it will appear to be 
# slow, because it compiles MakeDepend and its prerequisites, silently.
# 
# To utilize MakeDepend fully, you should adhere to the convention that for every
# .cc file which is not a main program, there is a corresponding .h file, which
# is included by any .cc file which accesses the corresponding routines.
#
# II. Major targets
# 
# make: makes all executables
# make d (where d is a subdirectory of Spines): make all executables in d
# make assembler: make all executables needed to run Spines
#
# III. Supported platforms
#
# compiler: gcc 4.1.1
#
# hardware: ia64 (Itanium)   - we use it all the time
#           i686 (Pentium)   - we use it a lot of the time
#           x86_64 (Opteron) - other people tell us that it works
#           alpha            - we used to use it, probably unusable now
#           macosx           - not fully functional
#
# Note. These are all compiled with -O3, but with for ia64, we also use
# -fno-rename-registers, to compensate for a gcc bug 
# (see testing/IsWeirdness.cc, testing/IsWeirdness.run, gcc bug report #14815).
# We also compile with -fno-strict-aliasing, without which errors can result,
# and these errors are extremely difficult to trace.
#
# IV. Common options
#
# FORCE_DEBUG=yes: compile in debugging mode
# OPTIM=none: compile without optimization
# UNSUPPORTED=yes: override check for supported platform
# ALL=yes: compile files, even if they have the line // MakeDepend: archived
# -k: keep going in the event of error (a make option)
# -jn: use up to n parallel processors to do the make (a make option)
#
###################################################################################


##############################################################################
# DEFINE GENERAL VARIABLES
##############################################################################

DATE = $(shell date)
BUILD_DATETIME ?= $(DATE)  # allow for overrides to enable reproducible builds
OS_NAME = $(shell uname -s)
NODE_NAME = $(shell uname -n)
OS_RELEASE = $(shell uname -r)
OS_MACHINE = $(shell uname -m)
OS_VENDOR = $(VENDOR)
USER = $(shell whoami)
RELEASE = 3.0

ifeq ($(OS_MACHINE),Power Macintosh)
  OS_MACHINE = macosx
endif

# this ought to be done more elegantly, but this ugly hack suffices for now
GPP_VERSION := $(shell g++ -dumpversion)
GPP_MAJOR_VERSION := $(shell g++ -dumpversion | tr '.' '\n' | head -1)

##############################################################################
# CHECK FOR SUPPORTED PLATFORM
##############################################################################

ifneq ($(UNSUPPORTED),yes)
     ifneq ($(SUBRUN),1)

	  ifneq ($(GPP_VERSION),4.1.1)
               $(warning ----------------------------------------------------------)
               $(warning using g++ version $(GPP_VERSION) )
               $(warning --------------------------------------------------------)
	  endif

          ACCEPT_HARDWARE := no
	  ifeq ($(OS_MACHINE),x86_64)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),ia64)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),i686)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),macosx)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),alpha)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(OS_MACHINE),i86pc)
	       ACCEPT_HARDWARE := yes
          endif
	  ifeq ($(ACCEPT_HARDWARE),no)
               $(warning ----------------------------------------------------------)
               $(warning Platform $(OS_MACHINE) is UNSUPPORTED)
               $(error --------------------------------------------------------)
	  endif

     endif
else
#     $(warning ------------------------------------------------------------)
#     $(warning WARNING --- Unsupported platform --- proceed with caution)
#     $(warning ------------------------------------------------------------)
endif


##############################################################################
## DIRECTORY SETUP:
##############################################################################

SRC = .
OBJ = obj

ifdef SPINES_BIN_DIR
     BIN = $(SPINES_BIN_DIR)
else
     BIN = .
endif

LIB = .

# Make cross-compiling in one directory easier.
ifdef CROSS
  CROSS_SUFFIX = $(OS_MACHINE)_$(OS_VENDOR)
  OBJ = obj_$(CROSS_SUFFIX)
  BIN = bin_$(CROSS_SUFFIX)
  # If DEBUGGING==yes, put the object and binary files in a separate dir.
  # The DEBUGGING option also has other effects later in the Makefile.
  ifeq ($(DEBUGGING),yes)
    OBJ = obj_$(CROSS_SUFFIX)_debug
    BIN = bin_$(CROSS_SUFFIX)_debug
  else
    # If PROFILE==yes, put the object and binary files in a separate dir.
    # The PROFILE option also has other effects later in the Makefile.
    ifeq ($(PROFILE),yes)
      OBJ = obj_$(CROSS_SUFFIX)_prof
      BIN = bin_$(CROSS_SUFFIX)_prof
    endif
  endif
endif

vpath %.cc $(SRC)
vpath %.c $(SRC)
vpath %.h $(SRC)
vpath %.hh $(SRC)
vpath %.o $(OBJ) .
vpath % $(BIN)

## This part should be removed before distribution vvv ##

##############################################################################
## RECURSIVE MAKE DEPEND
##############################################################################

ifndef SUBRUN
  ifdef MAKEDEPEND_STATUS
    $(warning Finding dependencies...)
  endif
  # result := $(shell bash -c "if [ ! { $(MAKE) CXX=$(CXX) CROSS=$(CROSS) BIN=$(BIN) OBJ=$(OBJ) ALL=$(ALL) FULL=$(FULL) OPTIM=$(OPTIM) SUBRUN=1 depend } ]; then echo MakeDepend FAILED fi")
  result := $(shell bash -c " $(MAKE) CXX=$(CXX) CROSS=$(CROSS) BIN=$(BIN) OBJ=$(OBJ) ALL=$(ALL) FULL=$(FULL) OPTIM=$(OPTIM) SUBRUN=1 depend ")
  ifneq ($(findstring FAILED,$(result)),)
    $(error MakeDepend failed)
  endif
  # Note this really checks for any WARNING output, but currently 
  # the only way that text can be output is by checkLock --checkSetLock.
  ifneq ($(findstring WARNING,$(result)),)
    $(warning checkSetLock failed. Running processes are not protected against overwrite from other computers.)
  endif
  ifdef MAKEDEPEND_STATUS
    $(warning Done.)
  endif
endif

## This part should be removed before distribution ^^^ ##

##############################################################################
## COMPILE-TIME CONFIGURATION:
##############################################################################

## These can be overridden from the `make' command line.  For example,
##
##   % make FORCE_DEBUG=yes
##
## builds debugging executables.
##
##  In most cases, one must run `make clean' before changing the defaults
## below to ensure that executables are rebuilt correctly.  Generally, the
## compiler-specific makefiles sort out these options and turn on the right
## compiler flags to get the desired behavior.

# Which compiler to use; can be `g++', `cxx', `icpc', or `sunCC'.
COMPILER	= g++
#COMPILER	= cxx
#COMPILER	= sunCC
#COMPILER	= icpc

# QUIET=yes causes the compiler to be less verbose about warnings.
QUIET		= no

# DEBUG=yes forces out-of-date executables to be built with symbolic
# debugging information.  Any other value is ignored.
DEBUG		= yes

# OPTIM=<compiler optimization> forces user-defined optimizations to be used,
# rather than the compiler-specific default.  
# If OPTIM=fast, then less optimization is done to speed compilation. 
# If OPTIM=none, then no optimization is used.	
# If unset, defaults are used.
OPTIM		=

# PROFILE=yes builds sampled-profiling (i.e. gprof) executables. Any other
# value is ignored.
PROFILE		= no

# FORCE_DEBUG=yes clears NDEBUG (i.e. turns on macros from <assert.h>).	 Any
# other value is ignored.
FORCE_DEBUG	= no

# ASSERT=FAST turns on fast(er) assertion checking.  Any other value is
# ignored.
ASSERT		= SLOW

# OPEN_MP=yes enables OpenMP directives.  Any other value is ignored.
OPEN_MP		= yes

# Enables Posix multithreading.	 This is currently only supported for CXX
# compilations, and partially for GCC v3.  This is enabled by default, since
# it has no effect in Gcc compilations.	 Any other value is ignored.
PTHREADS	= yes

# GCOV=yes builds test-coverage analyzing (gcov) executables. Suggested use
# is with OPTIM=none
GCOV		= no

# TRACK_MEMORY=yes turns on memory tracking (see MemTracker.h) in all modules
# which include that header.
TRACK_MEMORY    = no

# DEBUGGING=yes turns off optimization and turns on FORCE_DEBUG.
# DEBUGGING also has an effect earlier in the Makefile.
ifeq ($(DEBUGGING),yes)
  OPTIM = none
  FORCE_DEBUG = yes
endif

# flags to pass to $(AR). POSIX default is "-rv".
ARFLAGS = -qc 

#Add here additional options to be turned on by MakeDepend's
#directive mechanism. For example:
TEST_DIRECTIVE 	   =  -O0 -ffast-math -funroll-loops
OPT1               =  -O1


##############################################################################
## BASE SYSTEM SETUP:
##############################################################################

## These macros are used in Makefile and Makefile_auto to compile SPINES.
## The compiler-specific makefile augments these macros before they are used
## used to build the system.  These are here to ensure that the macros are
## instantiated, and as a reminder that the macros exist.

# Location of Xerces XML parser library:
XERCES_INC	=
XERCES_LIB	=

# Base definitions:
SYS_DEFS	= \
		  -DMAKE_DATE='"$(BUILD_DATETIME)"' \
		  -DMAKE_OS_RELEASE='"$(OS_RELEASE)"' \
		  -DMAKE_RELEASE='"$(RELEASE)"' \
		  -DNEW_MAKEFILE

# Warning control:
SYS_WARN	=

# Optimization control:
SYS_OPT		=

# Language control (e.g. template instantiations):
SYS_LANG	=


SYS_INCS = -I.

# Where to find system-specific includes:
ifeq ($(COMPILER),g++)
	SYS_INCS        = -iquote . $(XERCES_INC)
endif

# Linking control (e.g. to link templates):
SYS_LINK	=  $(LDFLAGS)

# Required libraries:
SYS_LIBS	= -lm -pthread

# OpenMP macros:
ifeq ($(OPEN_MP),yes)
  OMP_FLAGS		=
  OMP_INCS		=
  OMP_DEFS		=

  OMP_OPTIONS		= \
			$(OMP_FLAGS) \
			$(OMP_INCS) \
			$(OMP_DEFS)

  OMP_LINK		=
  OMP_LIBS		=
endif

# Posix threads macros:
ifeq ($(PTHREADS),yes)
  PTHREAD_FLAGS		=
  PTHREAD_INCS		=
  PTHREAD_DEFS		= -DHAVE_PTHREADS

  PTHREAD_OPTIONS	= \
			$(PTHREAD_FLAGS) \
			$(PTHREAD_INCS) \
			$(PTHREAD_DEFS)

  PTHREAD_LINK	=
  PTHREAD_LIBS	=
endif

ifeq ($(OPTIM),fast)
  FAST		= yes
endif


##############################################################################
## COMPILATION:
##############################################################################

# Bring in the compiler-specific makefile:

ifeq ($(COMPILER),g++)
include Makefile_g++
endif

ifeq ($(COMPILER),cxx)
include Makefile_cxx
endif

ifeq ($(COMPILER),sunCC)
include Makefile_sunCC
endif

ifeq ($(COMPILER),icpc)
include Makefile_icpc
endif

# Setup final compilation options:

CPP_OPTIONS	= \
		$(SYS_WARN) \
		$(SYS_OPT) \
		$(SYS_DEBUG) \
		$(SYS_DEFS) \
		$(SYS_LANG) \
		$(SYS_INCS) \
		$(OMP_OPTIONS) \
		$(PTHREAD_OPTIONS) \
		$(CPPFLAGS)

LINK_OPTIONS	= \
		$(SYS_DEBUG) \
		$(SYS_LINK) \
		$(OMP_LINK) \
		$(PTHREAD_LINK)

LINK_LIBS	= \
		$(SYS_LIBS) \
		$(OMP_LIBS) \
		$(PTHREAD_LIBS) \

CPPO		= $(LINK_OPTIONS)
CPPC		= $(CPP_OPTIONS) $(SYS_MEMTRACK)

##############################################################################
## COMPILATION TARGET SETUP:
##############################################################################

# Standard targets:

include Makefile_targets

# Makefile_auto: depend

ALL_ARG =
ifeq ($(ALL),yes)
     ALL_ARG = -A
endif

FULL_RECURSION_ARG =
ifeq ($(FULL),yes)
     FULL_RECURSION_ARG = -f
endif

depend: MakeDepend checkLock
	$(BIN)/checkLock --checkSetLock

=== sample_data/Makefile ===
DIRS = test_Trinity_Assembly

test_all: test_trin_assembly

test_trin_assembly:
	cd test_Trinity_Assembly && make test_all


clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== test/Makefile ===
test:
	../bin/ParaFly  -c cmds.txt -vv -CPU 2

clean:
	rm -f FailedCommands cmds.txt.completed

=== trinity-plugins/Makefile ===

OS := $(shell uname)

COLLECTL_CODE="collectl-4.1.0"
PARAFLY_CODE="ParaFly-0.1.0"
TRIMMOMATIC_CODE=Trimmomatic-0.36



trinity_essentials: seqtk_target parafly_target trimmomatic_target

trimmomatic_target:
	ln -sf ${TRIMMOMATIC_CODE} Trimmomatic


seqtk_target:
	tar xvf seqtk-trinity.v0.0.2.tar.gz
	cd seqtk-trinity-0.0.2 && $(MAKE)
	mv seqtk-trinity-0.0.2/seqtk-trinity ./BIN/.

parafly_target:
	tar -zxvf ${PARAFLY_CODE}.tar.gz && \
	cd ${PARAFLY_CODE} && sh ./configure --prefix=`pwd` && $(MAKE) install && \
	cp bin/ParaFly ../BIN/


##################################
### Needed for downstream analyses
##################################

plugins: slclust_target collectl_target
	@echo "\n\n** Done building plugins **\n\n"


slclust_target:
	cd slclust && $(MAKE) install

collectl_target:
	cd COLLECTL && tar xvf ${COLLECTL_CODE}.src.tar.gz && ln -sf ${COLLECTL_CODE} collectl

clean:
	rm -rf ./seqtk-trinity-0.0.2
	cd scaffold_iworm_contigs && $(MAKE) clean
	cd parafly-code && $(MAKE) clean
	rm -f ./parafly # rm symlink
	rm -f ./Trimmomatic # rm symlink
	cd slclust && $(MAKE) clean
	cd COLLECTL && rm -rf ${COLLECTL_CODE} && rm -f collectl
	@echo "\n\n** Done cleaning plugins area **"


###################################################################

=== trinity_ext_sample_data/Makefile ===

DIRS = test_GenomeGuidedTrinity \
test_InSilicoReadNormalization \
test_DE_analysis \
test_align_and_estimate_abundance \
test_full_edgeR_pipeline \
test_GOSeq_trinotate_pipe \
test_profiling_report \
test_PtR \
test_DTU \
test_VariantCalling \
test_tximport \
test_SuperTranscript




test:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done



clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== sample_data/test_Trinity_Assembly/Makefile ===

test:
	./runMe.sh
	touch test

test_all:
	./runMe.sh
	./misc_run_tests/__test_runMe_NO_normalization.sh
	./misc_run_tests/__runMe_with_qual_trimming.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalization.sh
	./misc_run_tests/__test_runMe_with_jaccard_clip.sh
	./misc_run_tests/__runMe_with_qual_trimming_and_normalize_libs_separately.sh
	./misc_run_tests/__runMe_include_long_reads.sh
	./misc_run_tests/__run_PE_samples_file.sh
	./misc_run_tests/__run_SE_samples_file.sh
	./misc_run_tests/__runMe_use_workdir.sh
	./misc_run_tests/__runMe_piecemeal.sh
	./misc_run_tests/__run_PE_samples_file.min_kmer_cov_3.sh
	touch test_all

clean:
	./cleanme.pl

=== trinity_ext_sample_data/test_DE_analysis/Makefile ===

DIRS = Candida_example Spombe_example

test:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done


clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== trinity_ext_sample_data/test_DTU/Makefile ===
test:
	./runMe.sh STAR
	./runMe.sh HISAT2

clean:
	./cleanMe.pl

=== trinity_ext_sample_data/test_GenomeGuidedTrinity/Makefile ===

test:
	./run_genome-guided_Trinity_use_existing_bam.sh
	./run_Schizo_TrinityGG_jaccard_clip.sh
	./run_small_GG_mutliScaff_test.sh
	touch test

clean:
	./cleanme.pl

=== trinity_ext_sample_data/test_InSilicoReadNormalization/Makefile ===

test:
	./test_PE_normalization.sh
	./test_SE_normalization.sh
	./test_PE_normalization.mult_read_sets.sh
	touch test

clean:
	./cleanme.pl

=== trinity_ext_sample_data/test_PtR/Makefile ===
test:
	../../Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --heatmap --heatmap_colorscheme 'black,yellow'
	../../Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --sample_cor_matrix
	../../Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --prin_comp 3 --add_prin_comp_heatmaps 5 --Zscale
	../../Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --compare_replicates
	../../Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --imgfmt svg --boxplot_log2_dist 0.8
	../../Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --top_variable_genes 300 --min_across_ANY_samples_gene_expr_val 5 --gene_cor_matrix
	../../Analysis/DifferentialExpression/PtR -m candidate.Trinity_trans.TMM.EXPR.matrix -s candidate.samples.txt --log2 --mean_vs_sd
	head -n11 candidate.Trinity_trans.TMM.EXPR.matrix > test.matrix && ../../Analysis/DifferentialExpression/PtR -m test.matrix -s candidate.samples.txt --per_gene_plots --per_gene_plots_incl_vioplot
	touch ./test


clean:
	rm -f ./candidate.Trinity_trans.TMM.EXPR.matrix.*
	rm -f ./test
	rm -f ./test.matrix ./test.matrix.*
	rm -f ./*.pdf
	rm -f ./*.svg

=== debian/changelog ===
trinityrnaseq (2.6.6+dfsg-6build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:56 +0100

trinityrnaseq (2.6.6+dfsg-6build1) focal; urgency=medium

  * No-change upload for htslib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 23:07:43 +0100

trinityrnaseq (2.6.6+dfsg-6) unstable; urgency=medium

  * -examples: Don't hardcode number of --CPU (especially above 2). Fixes the
    autopkgtests when the number of CPUs/cores is less than 4 and blastn's
    intransigency to accept a larger value to -num_threads.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 04 Jan 2019 03:38:40 -0800

trinityrnaseq (2.6.6+dfsg-5) unstable; urgency=medium

  * Added missing dependency on ncbi-blast+ to the binary package.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 03 Jan 2019 01:15:29 -0800

trinityrnaseq (2.6.6+dfsg-4) unstable; urgency=medium

  * Default to Python 3, as needed.
  * Use better Java version check from upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 02 Jan 2019 00:48:52 -0800

trinityrnaseq (2.6.6+dfsg-3) unstable; urgency=medium

  * debian/control: add numpy dependency, required for
    Analysis/SuperTranscripts/Trinity_gene_splice_modeler.py

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 01 Jan 2019 08:34:35 -0800

trinityrnaseq (2.6.6+dfsg-2) unstable; urgency=medium

  * debian/trinityrnaseq.install: Add BubbleUpClustering binary

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 15:30:16 -0800

trinityrnaseq (2.6.6+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * New upstream release, now with the sample data returned
    Closes: #897877
  * Build and ship seqtk-trinity

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Fix permissions and Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2018 08:58:49 +0100

=== debian/control ===
Source: trinityrnaseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               jellyfish (>= 2.1.4),
               libjung-free-java,
               javahelper,
               libgetopt-java,
               default-jdk,
               parafly,
               libjs-jquery,
               jaligner,
               libhts-dev,
               bowtie2,
               jellyfish,
               salmon,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/trinityrnaseq
Vcs-Git: https://salsa.debian.org/med-team/trinityrnaseq.git
Homepage: http://trinityrnaseq.github.io/

Package: trinityrnaseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ${java:Depends},
         bowtie,
         bowtie2,
         libwww-perl,
         default-jre-headless,
         samtools,
         jellyfish,
         r-base-core,
         r-cran-cluster,
         r-bioc-qvalue,
         rsem,
         berkeley-express,
         trimmomatic,
         transdecoder,
         parafly,
         curl,
         salmon,
	 python3-numpy,
	 ncbi-blast+
Recommends: ${java:Recommends},
            trinityrnaseq-examples
Suggests: collectl
Description: RNA-Seq De novo Assembly
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.

Package: trinityrnaseq-examples
Architecture: all
Depends: ${perl:Depends},
         ${java:Depends},
         ${misc:Depends},
         r-base-core,
	 coreutils
Recommends: trinityrnaseq
Description: RNA-Seq De novo Assembly common example and testing files
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.
 .
 This package contains testing & example files.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES = Inchworm Chrysalis trinity-plugins/*Fastool* trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs
SOURCE_DIRECTORIES_ALL = ${SOURCE_DIRECTORIES} trinity-plugins/seqtk-trinity-*
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq
include /usr/share/dpkg/pkg-info.mk

export BUILD_DATETIME := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
%:
	dh $@ --with javahelper

override_dh_auto_configure:
	cd trinity-plugins; tar xvf seqtk-trinity.*.tar.gz
	for target in ${SOURCE_DIRECTORIES_ALL}; do dh_auto_configure \
		--sourcedirectory=$${target} -- \
		--prefix=/usr/lib/trinityrnaseq/$${target} \
		$(shell dpkg-buildflags --export=configure); done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES_ALL}; do dh_auto_build \
		-O--sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES}; do dh_auto_clean \
		--sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust
	cd trinity-plugins && $(MAKE) clean || true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 10000 -L 300 \
		-F 300 -C Butterfly/src/sample_data/c1.graph --stderr -V 20
endif

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES_ALL}; do dh_auto_install \
		-O--sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/test_Inchworm/runMe_MPI.sh \

override_dh_fixperms:
	dh_fixperms
	find debian -name genwig.sh -exec chmod +x \{\} \;
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

=== debian/tests/control ===
Tests: run-tests
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,repack,compression=xz" \
  https://github.com/trinityrnaseq/trinityrnaseq/releases \
  .*/Trinity.*-v(\d[\d.-]+)\.wExtSampleData\.(?:tar(?:\.gz|\.bz2)?|tgz)
